Mono.Posix [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ValueType Every file has a unique INODE data structure. Mono's managed representation is the Stat struct. the Syscall.stat and Syscall.lstat methods return the Stat struct as an output parameter.

See 'man stat(2)' for more information. Not all filesystems implement all of the time fields and certain mount types can affect the ATime value as well. See 'man mount(8)' for more information.

This type is obsolete. Please use instead.

- Field
  System.DateTime Last access time. System.Obsolete("Use Mono.Unix.Native.Stat.st_atime") 1.0.5000.0 2.0.0.0
- Field
  System.Int64 Blocks gives the size of the file in 512-byte blocks. This may be smaller than Size/512 e.g. when the file has holes. System.Obsolete("Use Mono.Unix.Native.Stat.st_blocks") 1.0.5000.0 2.0.0.0
- Field
  System.Int64 Contains the preferred block size for efficient file system I/O. System.Obsolete("Use Mono.Unix.Native.Stat.st_blksize") 1.0.5000.0 2.0.0.0
- Field
  System.DateTime Creation time. System.Obsolete("Use Mono.Unix.Native.Stat.st_ctime") 1.0.5000.0 2.0.0.0
- Field
  System.Int32 A device number on which the file resides. To be added System.Obsolete("Use Mono.Unix.Native.Stat.st_dev") 1.0.5000.0 2.0.0.0
- Field
  System.Int64 For a character or block device, the device major and minor numbers. System.Obsolete("Use Mono.Unix.Native.Stat.st_rdev") 1.0.5000.0 2.0.0.0
- Field
  System.Int32 Group ID System.Obsolete("Use Mono.Unix.Native.Stat.st_gid") 1.0.5000.0 2.0.0.0
- Field
  System.Int32 The inode number of file on disk. System.Obsolete("Use Mono.Unix.Native.Stat.st_ino") 1.0.5000.0 2.0.0.0
- Field
  Mono.Posix.StatMode The file mode as defined by the StatMode enumeration. To be added System.Obsolete("Use Mono.Unix.Native.Stat.st_mode") 1.0.5000.0 2.0.0.0
- Field
  System.DateTime File last modified. System.Obsolete("Use Mono.Unix.Native.Stat.st_mtime") 1.0.5000.0 2.0.0.0
- Field
  System.Int32 The number of pathnames or links that reference this inode. System.Obsolete("Use Mono.Unix.Native.Stat.st_nlink") 1.0.5000.0 2.0.0.0
- Field
  System.Int64 Size gives the size of the file in bytes. If the file is a symlink then this is the length of the pathname it contains without trailing null. System.Obsolete("Use Mono.Unix.Native.Stat.st_size") 1.0.5000.0 2.0.0.0
- Field
  System.Int32 The owner user ID System.Obsolete("Use Mono.Unix.Native.Stat.st_uid") 1.0.5000.0 2.0.0.0
- Field
  System.DateTime DateTime value corresponding to Unix Epoch (1/1/1970) Read-only. 1/1/1970 12:00:00 AM System.Obsolete("Use Mono.Unix.Native.NativeConvert.LocalUnixEpoch") 1.0.5000.0 2.0.0.0
- Method
  System.DateTime `` a Convert unix epoch time value to a 1.0.5000.0 2.0.0.0 System.Obsolete("Use Mono.Unix.Native.NativeConvert.ToDateTime")
System.Obsolete("Use Mono.Unix.Native.Stat")